<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
  <meta charset="UTF-8">
  <title>Run Payroll</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
  <h1>
    Payroll
    <small>Run</small>
  </h1>
  <ol class="breadcrumb">
    <li class="treeview active"> Payroll</li>
    <li class="active"> Run</li>
  </ol>
</section>

<section layout:fragment="main" class="content">


  <div class="row">

    <div class="col-md-12">

      <div class="callout callout-success" th:if="${success != null}">
        <h4>Impor Data Success!</h4>

        <p>Data Berhasil Disimpan.</p>
      </div>
      <!-- Horizontal Form -->
      <div class="box box-info">

        <div class="box-header with-border">
          <h4 class="modal-title">Run Payroll</h4>
        </div>
        <form th:action="@{/payroll/run/process}" method="post" enctype="multipart/form-data">
          <div class="box-body">
            <div class="row">
              <div class="col-md-6">

                <div class="form-group">
                  <label for="companies" class="col-sm-2 control-label">Company</label>

                  <div class="col-sm-10">
                    <select class="form-control select2" name="companies" id="companies" style="width: 100%;">
                      <option th:each="datass : ${listCompanies}"
                              th:selected="(${datass} == *{companiesSelected})"
                              th:text="${datass.companyName}"
                              th:value="${datass.id}">sdasd</option>
                    </select>
                  </div>
                </div>

                <div class="form-group">
                  <label for="bulan" class="col-sm-2 control-label">Month</label>

                  <div class="col-sm-10">
                    <select class="form-control select2" name="bulan" id="bulan" style="width: 100%;">
                      <option th:each="datas : ${listBulan}"
                              th:selected="(${datas} == *{bulanSelected})"
                              th:text="${datas.nama}"
                              th:value="${datas.nomor}">sdasd</option>
                    </select>
                  </div>
                </div>

                <div class="form-group">
                  <label for="tahun" class="col-sm-2 control-label">Year</label>

                  <div class="col-sm-10">
                    <select class="form-control select2" name="tahun" id="tahun" style="width: 100%;">
                      <option th:each="datass : ${listTahun}"
                              th:selected="(${datass} == *{tahunSelected})"
                              th:text="${datass.tahun}"
                              th:value="${datass.tahun}">sdasd</option>
                    </select>
                  </div>
                </div>
              </div>
              <div class="col-md-6">
                <button type="submit" class="btn btn-info pull-left" id="simpan">Proces</button>
              </div>
            </div>
          </div>
          <div class="box-footer">
            <button type="button" class="btn btn-default pull-left">Close</button>
            <input th:type="submit" class="btn btn-default pull-right" value="Import" />
          </div>
        </form>

      </div>
    </div>
  </div>


  <div class="row">
    <div class="col-md-12">
      <div class="box box-info">
        <div class="box-header">
          <h4>History Of Payroll Run</h4>
        </div>
        <div class="box-body">
          <table id="example1" class="table table-bordered table-striped">
            <thead>
            <tr>
              <th>#</th>
              <th>Date</th>
              <th>Company</th>
              <th>Year</th>
              <th>Month</th>
              <th>Start</th>
              <th>Finish</th>
              <th>Status</th>
              <th>Desc</th>
            </tr>
            </thead>
            <tbody>
            <tr th:each="dataPayrollRunProcess,row : ${listPayrollRunProcess}">
              <td th:text="${(row.index + 1)}">1.</td>
              <td th:text="${#temporals.format(dataPayrollRunProcess.getTanggalInput(),'dd-MMM-yyyy hh:mm:ss a')}"></td>
              <td th:text="${dataPayrollRunProcess.getCompanies().getCompanyName()}"></td>
              <td th:text="${dataPayrollRunProcess.getTahun()}"></td>
              <td th:text="${dataPayrollRunProcess.getBulan()}"></td>
              <td><span th:if="${dataPayrollRunProcess.getTanggalMulai()}" th:text="${#temporals.format(dataPayrollRunProcess.getTanggalMulai(),'dd-MMM-yyyy hh:mm:ss a')}"></span></td>
              <td><span th:if="${dataPayrollRunProcess.getTanggalSelesai()}" th:text="${#temporals.format(dataPayrollRunProcess.getTanggalSelesai(),'dd-MMM-yyyy hh:mm:ss a')}"></span></td>
              <td>
                <a th:href="@{/payroll/run/detail(payrollRunProcess=${dataPayrollRunProcess.getId()})}" class="text-success" th:if="${dataPayrollRunProcess.getStatus().toString().equals('DONE')}" th:text="${dataPayrollRunProcess.getStatus()}"></a>
                <a th:href="@{/payroll/run/detail(payrollRunProcess=${dataPayrollRunProcess.getId()})}" class="text-danger" th:if="${dataPayrollRunProcess.getStatus().toString().equals('ERROR')}" th:text="${dataPayrollRunProcess.getStatus()}"></a>
              </td>
              <td th:text="${dataPayrollRunProcess.getDescription()}"></td>
            </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>



</section>

<section layout:fragment="footer" class="script">
  <script>
    $(function () {
      //Initialize Select2 Elements
      $('.select2').select2()

      //Datemask dd/mm/yyyy
      $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
      //Datemask2 mm/dd/yyyy
      $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
      //Money Euro
      $('[data-mask]').inputmask()

      //Date range picker
      $('#reservation').daterangepicker()
      //Date range picker with time picker
      $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
      //Date range as a button
      $('#daterange-btn').daterangepicker(
              {
                ranges   : {
                  'Today'       : [moment(), moment()],
                  'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                  'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                  'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                  'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                  'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                },
                startDate: moment().subtract(29, 'days'),
                endDate  : moment()
              },
              function (start, end) {
                $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
              }
      )

      //Date picker
      $('#datepicker').datepicker({
        autoclose: true
      })

      //iCheck for checkbox and radio inputs
      $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
        checkboxClass: 'icheckbox_minimal-blue',
        radioClass   : 'iradio_minimal-blue'
      })
      //Red color scheme for iCheck
      $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
        checkboxClass: 'icheckbox_minimal-red',
        radioClass   : 'iradio_minimal-red'
      })
      //Flat red color scheme for iCheck
      $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
        checkboxClass: 'icheckbox_flat-green',
        radioClass   : 'iradio_flat-green'
      })

      //Colorpicker
      $('.my-colorpicker1').colorpicker()
      //color picker with addon
      $('.my-colorpicker2').colorpicker()

      //Timepicker
      $('.timepicker').timepicker({
        showInputs: false
      })
    })
  </script>
  <script>
    $(".js-example-placeholder-single").select2({
      placeholder: "Pilih Salah Satu",
      allowClear: true
    });

    $('.simpan').click(function () {
      Swal.fire({
        position: 'top-end',
        type: 'success',
        title: 'Your work has been saved',
        showConfirmButton: false
      })
    });
  </script>

  <script>
    $(function () {
      $('#example1').DataTable()
      $('#example2').DataTable({
        'paging'      : true,
        'lengthChange': false,
        'searching'   : false,
        'ordering'    : true,
        'info'        : true,
        'autoWidth'   : false
      })
    })

    $(function() {

      var bla = $('#effectiveDateString').val();
      $('#effectiveDateString').val(bla);

    });

    $(function() {

      var blas = $('#endDateString').val();
      $('#endDateString').val(blas);

    });

    (function($){
      $('#payrollComponent').select2();
      $('#payrollComponent').on('select2:selecting', function(e) {
        console.log('Selecting: ' , e.params.args.data.id);
        $('#isiPayrollComponent').val(e.params.args.data.id);
      });
    })(jQuery);

    function dtable() {

      // const url = '/api/detail/anggarandto?idAnggaran='+$('#isiPayrollComponent').val();
      window.location.href = '/payroll/edit/new?payrollComponent='+$('#isiPayrollComponent').val()+'&effectiveDate='+$('#effectiveDateString').val()+'&endDate='+$('#endDateString').val();


    }
  </script>

</section>
</body>
</html>
</body>
</html>